function confirmDownload(e) {
    e.preventDefault();
    Swal.fire({
    //    title: 'Bạn có muốn tải xuống tập tin này?',
        text: 'Bạn có muốn tải xuống tập tin này ?',
        icon: 'question',
        showCancelButton: true,
        confirmButtonColor: '#3085d6',
        cancelButtonColor: '#d33',
        confirmButtonText: 'Đồng ý',
        cancelButtonText: 'Hủy'
    }).then((result) => {
        if (result.isConfirmed) {
            var downloadBtn = e.target;
            var link = document.createElement("a");
            link.setAttribute("href", downloadBtn.getAttribute("href"));
            link.click();
            Swal.fire({
                icon: 'success',
            //    title: 'Tải xuống thành công..!',
                text: 'Tải xuống thành công',
                showConfirmButton: false,
                timer: 2000
            });
        } else {
            Swal.fire({
                icon: 'error',
            //    title: 'Bạn đã hủy tải xuống..!',
                text: 'Bạn đã hủy tải xuống',
                timer: 2000,
                showConfirmButton: false
            });
        }
    });
}

var downloadBtns = document.querySelectorAll('.btn-download');
downloadBtns.forEach(function (downloadBtn) {
    downloadBtn.addEventListener("click", confirmDownload);
});